<div class="flex flex-col items-center mt-6">
  <h1 class="text-xl">New parcel</h1>
  <form
    (submit)="onFormSubmit()"
    [formGroup]="parcelForm"
    class="w-1/2 mat-elevation-z3 p-6">
    <mat-form-field class="w-full">
      <mat-label>SKU</mat-label>
      <input matInput formControlName="sku" />
      <mat-error *ngIf="parcelForm.controls.sku.invalid"
        >SKU should be between 8 and 12 symbols</mat-error
      >
    </mat-form-field>
    <mat-form-field class="w-full">
      <mat-label>Description</mat-label>
      <input id="sku" matInput formControlName="description" />
    </mat-form-field>
    <div class="flex gap-3">
      <country-picker
        formControlName="country"
        [country]="parcelForm.controls.country"></country-picker>
      <mat-form-field class="w-full">
        <mat-label>Town</mat-label>
        <input matInput formControlName="town" />
      </mat-form-field>
      <mat-form-field class="w-full">
        <mat-label>Street</mat-label>
        <input matInput formControlName="street" />
      </mat-form-field>
    </div>
    <mat-form-field class="w-full">
      <mat-label>Delivery date</mat-label>
      <input matInput [matDatepicker]="picker" formControlName="deliveryDate" />
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>
    <button
      mat-raised-button
      color="primary"
      type="submit"
      [disabled]="parcelForm.invalid">
      Submit
    </button>
    <ul class="m-3">
      <li *ngFor="let error of errors" class="text-red-600 list-disc">
        {{ error }}
      </li>
    </ul>
  </form>
</div>
